﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Visitas.aspx.vb" Inherits="Visitas"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Macoratti - Livro de Visitas</title>
    <style type="text/css">
        .style1
        {
            width: 100%;
        }
        .style2
        {
            width: 76px;
            font-family: "Trebuchet MS";
            font-size: small;
        }
        .style3
        {
            font-family: "Trebuchet MS";
            font-size: medium;
            font-weight: bold;
            text-align: center;
        }
        .style4
        {
            font-family: "Abadi MT Condensed";
            font-size: xx-large;
            font-weight: bold;
            color: #0033CC;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <span class="style4">Livro de visitas do Macoratti</span>&nbsp;<asp:DataList ID="DataList1" runat="server" BackColor="#DEBA84" 
            BorderColor="#DEBA84" BorderStyle="None" BorderWidth="1px" CellPadding="3" 
            CellSpacing="2" DataSourceID="AccessDataSource1" GridLines="Both" 
            Width="540px">
            <FooterStyle BackColor="#F7DFB5" ForeColor="#8C4510" />
            <ItemStyle BackColor="#FFF7E7" ForeColor="#8C4510" />
            <SelectedItemStyle BackColor="#738A9C" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#A55129" Font-Bold="True" ForeColor="White" />
            <ItemTemplate>
                <table class="style1">
                    <tr>
                        <td class="style2">
                            Nome</td>
                        <td>
                            <asp:Label ID="nomeLabel0" runat="server" Text='<%# Eval("nome") %>' 
                                style="font-family: 'Trebuchet MS'; font-size: small; font-weight: 700" />
                        </td>
                    </tr>
                    <tr>
                        <td class="style2">
                            Email</td>
                        <td>
                            <asp:HyperLink ID="HyperLink1" runat="server" 
                                NavigateUrl='<%# Eval("email","mailto:{0}?Subject=Livro de Visitas - resposta") %>' style="color: #0000FF" 
                                Text='<%# Eval("email") %>'></asp:HyperLink>
                        </td>
                    </tr>
                    <tr>
                        <td class="style2">
                            Comentário</td>
                        <td>
                            <asp:Label ID="comentarioLabel" runat="server" 
                                Text='<%# Eval("comentario") %>' 
                                style="font-style: italic; font-family: 'Trebuchet MS'; font-size: small" />
                        </td>
                    </tr>
                </table>
                <br />
            </ItemTemplate>
        </asp:DataList>
        <span class="style3">
        <asp:LinkButton ID="lnkComentario0" runat="server" 
            PostBackUrl="~/PostaComentario.aspx">Postar um Comentário</asp:LinkButton>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
            DataFile="~/App_Data/Livro.mdb" 
            SelectCommand="SELECT [nome], [email], [comentario] FROM [Visitas]">
        </asp:AccessDataSource>
    
        </span>
    
    </div>
    </form>
</body>
</html>
